<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
	xmlns:mvc="http://www.springframework.org/schema/mvc"
	xmlns:context="http://www.springframework.org/schema/context"
	xmlns:aop="http://www.springframework.org/schema/aop" 
	xmlns:tx="http://www.springframework.org/schema/tx"
	xmlns:cache="http://www.springframework.org/schema/cache"
	 xmlns:task="http://www.springframework.org/schema/task"
	xsi:schemaLocation="http://www.springframework.org/schema/beans  
		   http://www.springframework.org/schema/beans/spring-beans-4.3.xsd 
		   http://www.springframework.org/schema/mvc 
		   http://www.springframework.org/schema/mvc/spring-mvc.xsd	
		   http://www.springframework.org/schema/aop   
		   http://www.springframework.org/schema/aop/spring-aop-4.3.xsd  
		   http://www.springframework.org/schema/tx  
		   http://www.springframework.org/schema/tx/spring-tx-4.3.xsd  
		   http://www.springframework.org/schema/cache
		   http://www.springframework.org/schema/cache/spring-cache.xsd
		   http://www.springframework.org/schema/context  
		   http://www.springframework.org/schema/context/spring-context-4.3.xsd">
	<!-- 加载配置文件 -->
	<bean class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
		<property name="locations">
			<list>
				<value>classpath:jdbc.properties</value>
				<value>classpath:config.properties</value>
			</list>
		</property>
	</bean>
	<!-- import文件 -->
	<import resource="spring/dataSource.xml"/>
	<import resource="spring/shiro.xml"/>
	<import resource="spring/quartz.xml"/>
	<!-- 自动完成声明 -->
	<context:annotation-config />
	<!-- 设置上传文件的最大尺寸 -->
	<bean id="multipartResolver" class="org.springframework.web.multipart.commons.CommonsMultipartResolver">  
		<!-- 设置上传文件的最大尺寸为1G -->  
		<property name="maxUploadSize">  
			<value>1048576000</value>  
		</property>  
	</bean>
	<!-- 扫描排除Controller -->
	<context:component-scan base-package="org.fouram">
		<context:exclude-filter type="annotation" expression="org.springframework.stereotype.Controller"/>   
	</context:component-scan>
	<!-- 会话管理配置 -->
	<bean id="sessionManager" class="org.apache.shiro.web.session.mgt.DefaultWebSessionManager"> 
		<!-- 去掉 JSESSIONID -->
		<property name="sessionIdUrlRewritingEnabled" value="false" />
	</bean>
</beans>